//
//  BBUSimpleTableViewController.m
//  ReplaceMinusView
//
//  Created by Boris Bügling on 15.09.13.
//  Copyright (c) 2013 Boris Bügling. All rights reserved.
//

#import "BBUSimpleTableViewController.h"
#import "DSListViewCell.h"

static NSString* const kListCellId = @"ListCellId";

@implementation BBUSimpleTableViewController

-(id)init {
    self = [super init];
    if (self) {
        self.navigationItem.leftBarButtonItem = self.editButtonItem;
        self.title = NSLocalizedString(@"Example", nil);
        
        [self.tableView registerClass:[DSListViewCell class] forCellReuseIdentifier:kListCellId];
    }
    return self;
}

#pragma mark - UITableView data source

-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

-(BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath {
    return YES;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell* cell = [tableView dequeueReusableCellWithIdentifier:kListCellId forIndexPath:indexPath];
    cell.selectionStyle = UITableViewCellSelectionStyleNone;
    cell.textLabel.text = [@(indexPath.row) stringValue];
    return cell;
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 5;
}

@end
